package org.kne.cloud.network;

public class UDPSocketType extends SocketType {
    private static final UDPSocketType INSTANCE = new UDPSocketType();

    protected UDPSocketType() {
        super(
                new DefaultDatagramSocketFactory(),
                new DefaultDatagramServerSocketFactory()
        );
    }

    public static UDPSocketType getInstance() {
        return INSTANCE;
    }

    @Override
    public boolean isStream() {
        return false;
    }
}